FlickrのAPIで「Oops! The API key or signature is invalid.」というエラーが急に出るようになった

WordPressのプラグインでFlickrから画像を引っぱってくる「Flickr Manager」と言うプラグインが急に使えなくなった。
数日前にFlickrが若干の仕様変更をしたのでその影響なのだろうか。
2014/06/28 -Flickr Managerが急に使えなくなった | Photo714.com


Wordpressのプラグインの「Flickr Manager」を利用していたんですが、画像を今まで通りアップロードしようとしたら、認証されていないとなり、認証しようとすると「Oops! The API key or signature is invalid.」というエラーがでて使えなくなっていました。

過去記事をみると、最後に画像をアップロードしたのは2014/05/14の記事でした。それ以降に、FlickrのAPIが変更になったと思われます。

Flickr Managerを使えるようにする方法

FlickrCore.phpのファイルを修正します。

旧:http://api.flickr.com/services/rest/?
新:https://api.flickr.com/services/rest/?

上記のように、
「http://」になっているものは、全て「https://」に変更すると、以前のように動作するようになるかと思います。
FlickrのAPIの呼び出しが、SSL以外は認めないように変更になったんだと思います。

スポンサーリンク

コメントを残す

メールアドレスは公開されません。
また、コメント欄には、必ず日本語を含めてください(スパム対策)。